# Avoids to generate debug packages
%global debug_package %{nil}

Summary:	Busybox version suited for Mindi
Name:		mindi-busybox
Version:	1.25.1
Release:	%mkrel 1
License:	GPLv2
Group:		Archiving/Backup
Url:		http://www.mondorescue.org
Source0:	ftp://ftp.mondorescue.org/src/%{name}-%{version}.tar.gz
Patch0:		mindi-busybox-1.25.1-git-stime.patch
ExcludeArch:	ppc

%description
This package provides a busybox version suited for Mindi.

%prep
%setup -q
%autopatch -p1

%build
%set_build_flags
make oldconfig V=1
make busybox SKIP_STRIP=y V=1

%install
export DESTDIR=${RPM_BUILD_ROOT}%{_libdir}/mindi/rootfs
make -j"$RPM_BUILD_NCPUS" CONFIG_PREFIX=$DESTDIR install SKIP_STRIP=y V=1
./mondo-install.sh
# The brp-strip step that runs next fails if run in parallel because it tries
# to strip the same binary simultaneously because of hard links.
RPM_BUILD_NCPUS=1

%check
cd testsuite
SKIP_KNOWN_BUGS=1 ./runtest

%files
%doc ChangeLog LICENSE AUTHORS README TODO NEWS
%{_libdir}/mindi/rootfs


%changelog
* Sun Apr 19 2020 danf <danf> 1.25.1-1.mga8
+ Revision: 1569806
- Stop parallelizing brp-strip due to hard links breaking it
- Upgrade to ver. 1.25.1
- Enable regression test suite
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 1.21.1-3.mga7
+ Revision: 1299543
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 1.21.1-2.mga7
+ Revision: 1239375
- add patch from Arch to fix build
- use our compile time flags

* Fri Apr 29 2016 bcornec <bcornec> 1.21.1-1.mga6
+ Revision: 1007746
- Update to upstream 1.21.1

* Mon Feb 15 2016 umeabot <umeabot> 1.18.5-10.mga6
+ Revision: 961400
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 1.18.5-9.mga6
+ Revision: 895228
- do not strip binaries to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.18.5-8.mga5
+ Revision: 745521
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.18.5-7.mga5
+ Revision: 682396
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.18.5-6.mga4
+ Revision: 522554
- Mageia 4 Mass Rebuild

* Mon Mar 18 2013 bcornec <bcornec> 1.18.5-5.mga3
+ Revision: 403796
- pushing tag for mindi-busybox to be sure to have the right version

* Mon Mar 18 2013 bcornec <bcornec> 1.18.5-4.mga3
+ Revision: 403697
- As previous tag was 3 now push to 4 in order to rebuild with the latest src version
- New upstream mindi-busybox only fixing build of busybox for mindi

* Sun Feb 03 2013 fwang <fwang> 1.18.5-3.mga3
+ Revision: 394204
- fix build with latest glibc
- cleanup spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 26 2012 bcornec <bcornec> 1.18.5-2.mga2
+ Revision: 215141
- Update to upstream 1.18.5
- Update to upstream -4 release

* Mon Mar 21 2011 bcornec <bcornec> 1.18.3-1.mga1
+ Revision: 75239
- Update to upstream 1.18.3
- No changelog needed
- Created package structure for mindi-busybox.

